#ifndef __MODULES__H_
#define __MODULES__H_

#include <xfce4-modules/constants.h>
#include <xfce4-modules/combo.h>
#include <xfce4-modules/mime.h>
#include <xfce4-modules/mime_icons.h>

#include "../modules/properties.h"

void set_module_treeview(GtkTreeView *treeview);

/* private xffm modules: */
/* property module (could be made exportable easily) */
xfprop_functions *load_prop_module(void);
void unload_prop_module(void);

/* exportable modules: */
/* combo module: */
xfc_combo_functions *load_xfc(void);
void unload_xfc(void);

/* mime module */
xfmime_functions *load_mime_module(void);
void unload_mime_module(void);

/* mime_icon module */
xfmime_icon_functions *load_mime_icon_module(void);
void unload_mime_icon_module(void);


#endif

